Project

General

Profile

Bug #37870

Plugins will not install fail with {repo} could not be reached, please check your DNS

Added by Alexander Johnson 10 months ago. Updated 10 months ago.

Status:
Closed
Priority:
No priority
Assignee:
William Grzybowski
Category:
Middleware
Target version:
Seen in:
Severity:
Medium
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:

VM in ESXi v6.0 6 core 64GB ram 4 disk. 1 16 gb 3 500 GB in Raid-Z

ChangeLog Required:
No

Description

Sometimes a Jail is created, sometimes it is not. This appears to depend on the plugin. Plex will consistently create a jail, others will not. ping google.com resolves the address in the shell. When I switch to the legacy UI no plugins show up as available. Please excuse me if the Category is incorrect, I'm not sure which fits it best. Below is the stacktrace generated. I've attached screenshots of what I'm seeing as well. Please let me know if there is more information I can collect for you.

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
iocage.fetch(
*options)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
props, accept_license=accept, official=official)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 689, in fetch_plugin_index
props, 0, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 124, in fetch_plugin
_conf, pkg, props, repo_dir)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 461, in fetch_plugin_install_packages
uuid, jaildir, _conf, repo=conf["packagesite"], site=repo_name)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_create.py", line 556, in create_install_packages
silent=self.silent)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 82, in logit
_callback({"level": level, "message": msg}, exit_on_error)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 61, in callback
raise RuntimeError(message)
RuntimeError: {repo} could not be reached, please check your DNS
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
job,
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError: {repo} could not be reached, please check your DNS

Screenshot from 2018-07-12 13-05-42.png (104 KB) Screenshot from 2018-07-12 13-05-42.png Pinging Google from Shell Alexander Johnson, 07/12/2018 11:12 AM
Screenshot from 2018-07-12 13-03-11.png (119 KB) Screenshot from 2018-07-12 13-03-11.png Error Message Alexander Johnson, 07/12/2018 11:12 AM
Screenshot from 2018-07-12 13-06-48.png (87.9 KB) Screenshot from 2018-07-12 13-06-48.png Plex jail that is created Alexander Johnson, 07/12/2018 11:12 AM
Screenshot from 2018-07-12 13-08-51.png (131 KB) Screenshot from 2018-07-12 13-08-51.png Plugin screen in Legacy UI Alexander Johnson, 07/12/2018 11:12 AM
21214
21218
21222
21226

Related issues

Related to FreeNAS - Bug #38355: Fix license error that prevented some plugins from installingDone
Related to FreeNAS - Bug #38375: In the New UI I get a Traceback the first time I try to Access the available PluginsClosed
Related to FreeNAS - Bug #38185: Cant install pluginClosed
Related to FreeNAS - Bug #40106: Check DNS before allowing plugins to continue and raise an error if check failsDone

Associated revisions

Revision 6debe758 (diff)
Added by William Grzybowski 10 months ago

fix(middlewared/jail): add default gateway interface to vnet jail bridge

Ticket: #37870

History

#1 Updated by Alexander Johnson 10 months ago

  • Subject changed from {repo} could not be reached, please check your DNS to Plugins will not install fail with {repo} could not be reached, please check your DNS

#2 Updated by Dru Lavigne 10 months ago

  • Category changed from OS to GUI (new)
  • Assignee changed from Release Council to Erin Clark
  • Target version changed from Backlog to 11.2-RC2

#3 Updated by Dru Lavigne 10 months ago

  • Target version changed from 11.2-RC2 to 11.2-BETA3

#4 Updated by Dru Lavigne 10 months ago

  • Related to Bug #38355: Fix license error that prevented some plugins from installing added

#5 Updated by Dru Lavigne 10 months ago

  • Related to Bug #38375: In the New UI I get a Traceback the first time I try to Access the available Plugins added

#6 Updated by Dru Lavigne 10 months ago

  • Related to Bug #38185: Cant install plugin added

#7 Updated by Erin Clark 10 months ago

  • Assignee changed from Erin Clark to Lola Yang

#8 Updated by Lola Yang 10 months ago

  • Category changed from GUI (new) to Middleware
  • Assignee changed from Lola Yang to Brandon Schneider

#11 Updated by William Grzybowski 10 months ago

  • Status changed from Unscreened to In Progress
  • Assignee changed from Brandon Schneider to William Grzybowski
  • Target version changed from 11.2-BETA3 to 11.2-BETA2
  • Severity changed from New to High

#12 Updated by William Grzybowski 10 months ago

  • Has duplicate Bug #38155: Add default gateway interface to vnet jail bridge added

#13 Updated by William Grzybowski 10 months ago

  • Status changed from In Progress to Blocked
  • Reason for Blocked set to Waiting for feedback

Is there some plugin where it never installs with that error? Seems like DHCP is failing for you sometimes.

Do you have a reliable way to reproduce this?

#14 Updated by William Grzybowski 10 months ago

  • Has duplicate deleted (Bug #38155: Add default gateway interface to vnet jail bridge)

#15 Updated by William Grzybowski 10 months ago

  • Target version changed from 11.2-BETA2 to 11.2-BETA3

#16 Updated by William Grzybowski 10 months ago

  • Severity changed from High to Medium

#17 Updated by Dru Lavigne 10 months ago

  • Has duplicate Bug #39533: Format Plugins IP address field in new UI to make it obvious that interface and mask are also required added

#18 Updated by William Grzybowski 10 months ago

  • Has duplicate deleted (Bug #39533: Format Plugins IP address field in new UI to make it obvious that interface and mask are also required)

#19 Updated by William Grzybowski 10 months ago

Ping

#20 Updated by Jon Wilson 10 months ago

Hi Alexander,

I had the same issue as you and solved it by enabling promiscuous mode on the port group / vSwitch assigned to the FreeNAS VM. Not sure if this is the right way to go or not but at least plugins are working now...

#21 Updated by Alexander Johnson 10 months ago

  • Hardware Configuration updated (diff)

William Grzybowski wrote:

Is there some plugin where it never installs with that error? Seems like DHCP is failing for you sometimes.

Do you have a reliable way to reproduce this?

Sorry for the long time to respond. I have been away for medical reasons. Well this is every plugin I tried. The only one to create a Jail was Plex. The rest failed before that. I have given up on FreeNAS for my solution and have deleted the VM. However, I was getting a valid DHCP response when setting up FreeNAS, and have no other OS's in my Virtual environment that are having issues with DHCP. All I did here was literally install FreeNAS, then attempt to install the plugin via the GUI. Maybe it is an issue with how the Virtual Network is playing with FreeNAS. I'm happy to reinstall and attempt reproduce if you would like. Maybe I need to setup storage before trying to set up a plugin.

Jon Wilson wrote:

Hi Alexander,

I had the same issue as you and solved it by enabling promiscuous mode on the port group / vSwitch assigned to the FreeNAS VM. Not sure if this is the right way to go or not but at least plugins are working now...

This to me is a no go. Promiscuous mode is too insecure for my liking, and could cause performance hits especially when I run backups. I don't want to subject my other VM's to all the traffic on my other VM's. This could be a clue to what is happening with my issue though.

#22 Updated by Dru Lavigne 10 months ago

  • Status changed from Blocked to Unscreened
  • Reason for Blocked deleted (Waiting for feedback)

#23 Updated by William Grzybowski 10 months ago

  • Status changed from Unscreened to Closed
  • Target version changed from 11.2-BETA3 to N/A
  • Reason for Closing set to Duplicate Issue

This will be handled as part of #40106

#24 Updated by William Grzybowski 10 months ago

  • Related to Bug #40106: Check DNS before allowing plugins to continue and raise an error if check fails added

Also available in: Atom PDF